Package uk.ac.starlink.topcat.plot2

# Class SimplePositionCoordPanel

java.lang.Object
uk.ac.starlink.topcat.plot2.BasicCoordPanel
uk.ac.starlink.topcat.plot2.SimplePositionCoordPanel

All Implemented Interfaces:
  `CoordPanel`, `PositionCoordPanel`

Direct Known Subclasses:
  `MatrixPositionCoordPanel`

public class SimplePositionCoordPanel extends BasicCoordPanel implements PositionCoordPanel
Simple implementation of a PositionCoordPanel. It only deals with a single, fixed, DataGeom.

Since:
  13 Mar 2013
Author:
  Mark Taylor

## Nested Class Summary

## Nested classes/interfaces inherited from class uk.ac.starlink.topcat.plot2.BasicCoordPanel

`BasicCoordPanel.CoordStack`

## Constructor Summary

Constructors
Constructor
Description
`SimplePositionCoordPanel(uk.ac.starlink.ttools.plot2.data.Coord[] coords, uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] configKeys, BasicCoordPanel.CoordStack stack, uk.ac.starlink.ttools.plot2.DataGeom geom)`
Constructs a CoordPanel for selecting Coords and Config values.
`SimplePositionCoordPanel(uk.ac.starlink.ttools.plot2.data.Coord[] coords, uk.ac.starlink.ttools.plot2.DataGeom geom)`
Constructs a panel for selecting just Coords.

## Method Summary

Modifier and Type
Method
Description
`static SimplePositionCoordPanel`
`createPanel(uk.ac.starlink.ttools.plot2.DataGeom geom, int npos, CoordSpotter[] spotters)`
Constructs a position coord panel based on a given DataGeom.
`uk.ac.starlink.ttools.plot2.DataGeom`
`getDataGeom()`
Returns the position geometry that defines the mapping of input to data coordinates.

### Methods inherited from class uk.ac.starlink.topcat.plot2.BasicCoordPanel

`addActionListener, addButtons, autoPopulate, createDefaultStack, getActionForwarder, getAdditionalManagedCoords, getColumnSelector, getComponent, getConfig, getConfigSpecifier, getContents, getCoords, getInfos, getStack, getTable, isPreferredCoord, multiplyCoords, populate, removeActionListener, setColumnSelector, setTable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.topcat.plot2.CoordPanel

`addActionListener, getAdditionalManagedCoords, getColumnSelector, getComponent, getConfig, getConfigSpecifier, getContents, getCoords, removeActionListener, setTable`

### Methods inherited from interface uk.ac.starlink.topcat.plot2.PositionCoordPanel

`getExtraTabs`

## Constructor Details

### SimplePositionCoordPanel

public SimplePositionCoordPanel(uk.ac.starlink.ttools.plot2.data.Coord[] coords, uk.ac.starlink.ttools.plot2.DataGeom geom)
Constructs a panel for selecting just Coords.

Parameters:
  `coords` - coordinate definitions for which values are required
  `geom` - fixed data geom

### SimplePositionCoordPanel

public SimplePositionCoordPanel(uk.ac.starlink.ttools.plot2.data.Coord[] coords, uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] configKeys, BasicCoordPanel.CoordStack stack, uk.ac.starlink.ttools.plot2.DataGeom geom)
Constructs a CoordPanel for selecting Coords and Config values.

Parameters:
  `coords` - coordinate definitions for which values are required
  `configKeys` - config value keys
  `stack` - coord stack implementation
  `geom` - fixed data geom

## Method Details

### getDataGeom

public uk.ac.starlink.ttools.plot2.DataGeom getDataGeom()
Description copied from interface: `PositionCoordPanel`
Returns the position geometry that defines the mapping of input to data coordinates.

Specified by:
  `getDataGeom` in interface `PositionCoordPanel`
Returns:
  data geom

### createPanel

public static SimplePositionCoordPanel createPanel(uk.ac.starlink.ttools.plot2.DataGeom geom, int npos, CoordSpotter[] spotters)
Constructs a position coord panel based on a given DataGeom. A given number of groups of the positional coordinates defined by the DataGeom are shown.

Parameters:
  `geom` - provides description of positional coordinates
  `npos` - number of positional groups to include